Results 1 to 3 of 3

Thread: SystemIO range conflicts with OpRegion

  1. #1

    SystemIO range conflicts with OpRegion

    Hi

    /var/log/messsages contains some warnings

    ---begin---
    kernel: [ 5.307562] ACPI Warning: SystemIO range 0x0000000000000428-0x000000000000042F conflicts with OpRegion 0x0000000000000400-0x000000000000047F (\_SB_.PCI0.LPC_.PMIO) (20150930/utaddress-254)
    kernel: [ 5.307573] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
    kernel: [ 5.307580] ACPI Warning:
    kernel: [ 5.307582] SystemIO range 0x0000000000000540-0x000000000000054F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO) (20150930/utaddress-254)
    kernel: [ 5.307584] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
    kernel: [ 5.308038] ACPI Warning: SystemIO range 0x0000000000000530-0x000000000000053F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO) (20150930/utaddress-254)
    kernel: [ 5.308039] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
    kernel: [ 5.308043] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO) (20150930/utaddress-254)
    kernel: [ 5.308043] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
    kernel: [ 5.308044] lpc_ich: Resource conflict(s) found affecting gpio_ich
    ---end---

    My local environment: Lenovo T520, type 4243F53, architecture x86_64, kernel version 4.4.156-94.61-default, last updated packages today.

    I hope that drivers exist, because Redhat and Ubuntu support T520, 4239-25x, as I found on https://pcsupport.lenovo.com/de/de/solutions/pd031426#2.

    What should I do?

    Thank you.

  2. #2

    Re:SystemIO range conflicts with OpRegion

    guennov Wrote in message:

    > /var/log/messsages contains some warnings
    >
    > ---begin---
    > kernel: [ 5.307562] ACPI Warning: SystemIO range
    > 0x0000000000000428-0x000000000000042F conflicts with OpRegion
    > 0x0000000000000400-0x000000000000047F (\_SB_.PCI0.LPC_.PMIO)
    > (20150930/utaddress-254)
    > kernel: [ 5.307573] ACPI: If an ACPI driver is available for this
    > device, you should use it instead of the native driver
    > kernel: [ 5.307580] ACPI Warning:
    > kernel: [ 5.307582] SystemIO range
    > 0x0000000000000540-0x000000000000054F conflicts with OpRegion
    > 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO)
    > (20150930/utaddress-254)
    > kernel: [ 5.307584] ACPI: If an ACPI driver is available for this
    > device, you should use it instead of the native driver
    > kernel: [ 5.308038] ACPI Warning: SystemIO range
    > 0x0000000000000530-0x000000000000053F conflicts with OpRegion
    > 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO)
    > (20150930/utaddress-254)
    > kernel: [ 5.308039] ACPI: If an ACPI driver is available for this
    > device, you should use it instead of the native driver
    > kernel: [ 5.308043] ACPI Warning: SystemIO range
    > 0x0000000000000500-0x000000000000052F conflicts with OpRegion
    > 0x0000000000000500-0x000000000000057F (\_SB_.PCI0.LPC_.LPIO)
    > (20150930/utaddress-254)
    > kernel: [ 5.308043] ACPI: If an ACPI driver is available for this
    > device, you should use it instead of the native driver
    > kernel: [ 5.308044] lpc_ich: Resource conflict(s) found affecting
    > gpio_ich
    > ---end---
    >
    > My local environment: Lenovo T520, type 4243F53, architecture x86_64,
    > kernel version 4.4.156-94.61-default, last updated packages today.
    >
    > I hope that drivers exist, because Redhat and Ubuntu support T520,
    > 4239-25x, as I found on
    > https://pcsupport.lenovo.com/de/de/solutions/pd031426#2.
    >
    > What should I do?


    From the web view of these forums (and your other thread here) I
    see you're using SLED12 SP3 which is currently the latest release
    of SLED12 available (SP4 is currently in beta).

    The Lenovo support page you reference lists "4239-25X" which (not
    knowing Lenovo hardware) doesn't seem to match your type 4243F53?
    It also lists RHEL 6.3 and Ubuntu 10.10 which are both old
    releases from 2012 and 2010 respectively. Have you tried later
    versions of these?

    HTH.
    --
    Simon Flood
    SUSE Knowledge Partner


    ----Android NewsGroup Reader----
    http://usenet.sinaapp.com/

  3. #3

    Re: SystemIO range conflicts with OpRegion

    Hi
    sorry about the delay.

    No, I didn't try neither RHEL nor Ubuntu. I'd like to stay with SuSE. It is true that Lenovo "4239-25X" does not match my type. I read that sometimes setting kernel flags might help invoking needed drivers. So: how could I find out which drivers exactly for which devices are missing and, in case the kernel knows about them, how they might be activated?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •